| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
StratosharkMainStatusBar Class Reference

Stratoshark-specific main window status bar, overriding capture statistics display to use Stratoshark terminology and metrics (e.g. "events" in place of "packets"). More...

`#include <stratoshark_main_status_bar.h>`

Inheritance diagram for StratosharkMainStatusBar:

## Public Member Functions
| StratosharkMainStatusBar (QWidget *parent=0)
| Constructs the Stratoshark main status bar.
virtual | ~StratosharkMainStatusBar ()
| Destroys the status bar.
Public Member Functions inherited from MainStatusBar
| MainStatusBar (QWidget *parent=0)
| Constructs a new MainStatusBar.
virtual | ~MainStatusBar ()
| Destroys the MainStatusBar.
void | showExpert ()
| Shows the expert information dialog.
void | captureFileClosing ()
| Handles the capture file closing event.
void | expertUpdate ()
| Updates the expert information status.
void | setFileName (CaptureFile &cf)
| Sets the file name to display.
void | setFieldStatusSupplement (const QString &supplement, bool include_selected_field=true)
| Optional supplement for STATUS_CTX_FIELD, formatted by the caller.

## Protected Member Functions
void | showCaptureStatistics () override
| Updates the status bar's capture statistics section with Stratoshark-appropriate event counts and display-filter statistics.
Protected Member Functions inherited from MainStatusBar
virtual void | changeEvent (QEvent *event) override
| Handles state change events.
void | pushGenericStatus (StatusContext status, const QString &message, const QString &messagetip=QString())
| Pushes a generic status message.
void | popGenericStatus (StatusContext status)
| Pops a generic status message.

## Additional Inherited Members
Public Slots inherited from MainStatusBar
void | setCaptureFile (capture_file *cf)
| Sets the active capture file.
void | selectedFieldChanged (FieldInformation *finfo)
| Handles a change in the selected field.
void | highlightedFieldChanged (FieldInformation *finfo)
| Handles a change in the highlighted field.
void | selectedFrameChanged (QList< int >)
| Handles a change in the selected frame.
void | updateCaptureStatistics (capture_session *cap_session)
| Updates the capture statistics.
void | updateCaptureFixedStatistics (capture_session *cap_session)
| Updates fixed capture statistics.
void | captureEventHandler (CaptureEvent ev)
| Handles a capture event.
Signals inherited from MainStatusBar
void | showExpertInfo ()
| Signal emitted to show the expert info dialog.
void | editCaptureComment ()
| Signal emitted to edit the capture comment.
void | stopLoading ()
| Signal emitted to stop the loading process.
Protected Types inherited from MainStatusBar
enum | StatusContext { STATUS_CTX_MAIN , STATUS_CTX_FILE , STATUS_CTX_FIELD , STATUS_CTX_BYTE , STATUS_CTX_FILTER , STATUS_CTX_PROGRESS , STATUS_CTX_TEMPORARY }
| Context identifiers for status bar messages. More...
Protected Attributes inherited from MainStatusBar
capture_file * | cap_file_
bool | cs_fixed_
uint64_t | cs_count_

## Detailed Description

Stratoshark-specific main window status bar, overriding capture statistics display to use Stratoshark terminology and metrics (e.g. "events" in place of "packets").

## Constructor & Destructor Documentation

## ◆ StratosharkMainStatusBar()

StratosharkMainStatusBar::StratosharkMainStatusBar | ( | QWidget * | parent = 0 | ) |
| explicit

Constructs the Stratoshark main status bar.

Parameters

  parent | Optional parent widget.

## Member Function Documentation

## ◆ showCaptureStatistics()

void StratosharkMainStatusBar::showCaptureStatistics | ( |  | ) |
| override protected virtual

Updates the status bar's capture statistics section with Stratoshark-appropriate event counts and display-filter statistics.

Reimplemented from MainStatusBar.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/stratoshark/stratoshark_main_status_bar.h
- /builds/wireshark/wireshark/ui/stratoshark/stratoshark_main_status_bar.cpp